utl::meta::seek_if_impl::seek_if_< typelist< Head, Tail... >, Fn, N > Struct Template Reference

`#include <typelist.h>`

## Public Types

using | type = if_< invoke_t< Fn, Head >, typelist< Head, Tail... >, eval< seek_if_< typelist< Tail... >, Fn, N+1 > > >

## Detailed Description

### template<typename Head, typename... Tail, typename Fn, index_t N>
struct utl::meta::seek_if_impl::seek_if_< typelist< Head, Tail... >, Fn, N >

Definition at line 673 of file typelist.h.

## Member Typedef Documentation

## type

template<typename Head , typename... Tail, typename Fn , index_t N>

using utl::meta::seek_if_impl::seek_if_< typelist< Head, Tail... >, Fn, N >::type = if_ < invoke_t<Fn, Head>, typelist<Head, Tail...>, eval<seek_if_< typelist<Tail...>, Fn, N+1> > >

Definition at line 681 of file typelist.h.

The documentation for this struct was generated from the following file:

- include/utl/meta/typelist.h